Hello, I hate that when your doing a mate and accidentally select the wrong face or feature you have to go over to the "Mate Selections" and right click and then hit "Clear Selections" or "Delete" before you can select a different face, feature, etc. I also had this problem with the measure tool but was able to write a Macro using this code and then assign it a hot key:
Sub main()
Dim swApp As SldWorks.SldWorks
Dim swModel As SldWorks.ModelDoc2
Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
swModel.ClearSelection
End Sub
Unfortunately this doesn't work while doing mates. Is there a way I can make a Macro that would perform the same command that the right click and "Clear Selections" button does while doing mates?
SolidworksApi/macros